Debian Bug report logs - #706277
ITP: libdata-bitmask-perl -- bitmask manipulation class

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Dominique Dumont <dod@debian.org>

Date: Sat, 27 Apr 2013 17:15:02 UTC

Owned by: Dominique Dumont <dod@debian.org>

Severity: wishlist

Fixed in version libdata-bitmask-perl/0.91-1

Done: Dominique Dumont <dod@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org:
Bug#706277; Package wnpp. (Sat, 27 Apr 2013 17:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominique Dumont <dod@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org. (Sat, 27 Apr 2013 17:15:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominique Dumont <dod@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libdata-bitmask-perl -- bitmask manipulation class
Date: Sat, 27 Apr 2013 19:12:24 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Owner: Dominique Dumont <dod@debian.org>
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org,debian-perl@lists.debian.org

* Package name    : libdata-bitmask-perl
  Version         : 0.91
  Upstream Author : Toby Ovod-Everett, toby@ovod-everett.org
* URL             : http://search.cpan.org/dist/Data-BitMask/
* License         : Artistic or GPL-1+
  Programming Lang: Perl
  Description     : bitmask manipulation class

Data::BitMask is a Perl module to create bitmask manipulator objects
that can be used to create bitmask values based on a list of
constants, as well as to break apart masks using those constants. The
advantages are that you don't have to pollute namespaces to use
constants, you can ensure that only appropriate constants are used for
specific masks, you can easily break apart and explain masks, and in
general it is much easier for the user to interact with masks.

This package is a dependency of App-Inotify-Hookable which I will also
package

All the best

Dominique
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 29 Apr 2013 20:09:05 GMT) Full text and rfc822 format available.

Reply sent to Dominique Dumont <dod@debian.org>:
You have taken responsibility. (Thu, 16 May 2013 10:18:40 GMT) Full text and rfc822 format available.

Notification sent to Dominique Dumont <dod@debian.org>:
Bug acknowledged by developer. (Thu, 16 May 2013 10:18:40 GMT) Full text and rfc822 format available.

Message #12 received at 706277-close@bugs.debian.org (full text, mbox):

From: Dominique Dumont <dod@debian.org>
To: 706277-close@bugs.debian.org
Subject: Bug#706277: fixed in libdata-bitmask-perl 0.91-1
Date: Thu, 16 May 2013 10:00:07 +0000
Source: libdata-bitmask-perl
Source-Version: 0.91-1

We believe that the bug you reported is fixed in the latest version of
libdata-bitmask-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 706277@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dominique Dumont <dod@debian.org> (supplier of updated libdata-bitmask-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 29 Apr 2013 13:45:10 +0200
Source: libdata-bitmask-perl
Binary: libdata-bitmask-perl
Architecture: source all
Version: 0.91-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Dominique Dumont <dod@debian.org>
Description: 
 libdata-bitmask-perl - bitmask manipulation class
Closes: 706277
Changes: 
 libdata-bitmask-perl (0.91-1) unstable; urgency=low
 .
   * Initial Release (Closes: #706277)
Checksums-Sha1: 
 19b5159b3b2c27e1e2fd14e196bba4aeaf5e078c 2045 libdata-bitmask-perl_0.91-1.dsc
 92e3d5323850896d802992d35690c5a606ff4afd 7734 libdata-bitmask-perl_0.91.orig.tar.gz
 75408e17bc3a26a51e2dbb847fb6ea49be5616ff 1882 libdata-bitmask-perl_0.91-1.debian.tar.gz
 2f874372cc656938b078edb6d8c10240a6a51780 15048 libdata-bitmask-perl_0.91-1_all.deb
Checksums-Sha256: 
 f90ae268c3b3961ff3055cee17bf81cd446a8769ae781422b718b5bc59b0caa9 2045 libdata-bitmask-perl_0.91-1.dsc
 70f19487d26ca6cb399c788aaa7dc1eb7f703b24ade86e126d59e20eba6314d3 7734 libdata-bitmask-perl_0.91.orig.tar.gz
 63224c6f16bbd71bf15186df9626fe7509b7e1169c9481f4a73bb22dbd2e7258 1882 libdata-bitmask-perl_0.91-1.debian.tar.gz
 ac4d49d53f3c971490bef0f62a472e50083cff24aeffa140930b090d8687ce39 15048 libdata-bitmask-perl_0.91-1_all.deb
Files: 
 cd0ec0895949edf12506f74caa5164a8 2045 perl optional libdata-bitmask-perl_0.91-1.dsc
 6a6c662fdb390719d1ab5285e72d9ee6 7734 perl optional libdata-bitmask-perl_0.91.orig.tar.gz
 8959e4471bb3cbfb5aaa06715d19b143 1882 perl optional libdata-bitmask-perl_0.91-1.debian.tar.gz
 799989d8ea6af5adcbec072cbaa93d43 15048 perl optional libdata-bitmask-perl_0.91-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJRfl4pAAoJEMMfT9lJqytsTugP/jcou3yxj3dfaCDcysBa5Uvr
lqnTtsXNRXP0M8lRynHOVh2XM9S9R7OhiI2XQT5EpJufNmow+G0dNkxXTgNZ0FgF
UyEBl9mOy55/zM3NH2iuNLa2l22mtv7t2VLuilJvK1Jn+JRKIDFtu8ssBbPkEz6G
qTLyAY+AR9QuIBO/GTXr66gJCG3sx9EdbwtPCwhjBGEOhNgCRQsGRHwmImFdznTj
OAQ08wT1HOe6G3cMS/6tg52gULcY2bjArlr+3GKb53/jGMFoSGxx12eP7mscxTT0
RduUawwJkkkCqLGVtSTBemBVd7dZrh6vR0A9sRDgZwBZtUBxbYvD+BFsF2t6X3LS
ku2iFxbnZla2G+8DH7IRLz6/3Nqz6H+OwHy1+5dz46DyiWyTtjpK9ZPhcqdJxgJ8
alCrgmSZIqxUxly0ABRS5MbFOP7qrKECKyg9f7otR1NGshY/+9IaAkGak2JxqSg2
tXt8+s0IwEMBAanp+lyLdNuQ9sCNnz89utMwTR+9WHnVA//XoQtipeKU3jsjYl4h
z4jtK9ig6IQITxJ8cGqxa8AlX17SF+7l/aQUCzH7HXN1mfUQKPrQfFRJObclxZf7
R+CISnwXUHhUMj5NfuHYLD3eWxYkwS9yo3jUux+kYqxhy2jf+nIilqWbxOeei6Tg
vFNeNTo2bAoJARkfXgLI
=ZRr6
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 14 Jun 2013 08:03:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 17:03:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.